# GstH266Decoder

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoDecoder
                        ╰──GstH266Decoder

The opaque GstH266Decoder data structure.

Since : 1.26

### Class structure

#### GstH266DecoderClass

The opaque GstH266DecoderClass data structure.

##### Fields

`parent_class` (GstVideoDecoderClass) –
No description available

Since : 1.26

### GstCodecs.H266DecoderClass

The opaque GstCodecs.H266DecoderClass data structure.

##### Attributes

`parent_class` (GstVideo.VideoDecoderClass) –
No description available

Since : 1.26

### GstCodecs.H266DecoderClass

The opaque GstCodecs.H266DecoderClass data structure.

##### Attributes

`parent_class` (GstVideo.VideoDecoderClass) –
No description available

Since : 1.26

## GstCodecs.H266Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.H266Decoder

The opaque GstCodecs.H266Decoder data structure.

Since : 1.26

## GstCodecs.H266Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.H266Decoder

The opaque GstCodecs.H266Decoder data structure.

Since : 1.26

### Virtual Methods

#### decode_slice

    GstFlowReturn
    decode_slice (GstH266Decoder * decoder,
                  GstH266Picture * picture,
                  GstH266Slice * slice)

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it.

Parameters:

`decoder` –

a GstH266Decoder

`picture` ( [transfer: none]) –

a GstH266Picture

`slice` ( [transfer: none]) –

a GstH266Slice

Returns –
No description available

Since : 1.26

#### vfunc_decode_slice

    function vfunc_decode_slice(decoder: GstCodecs.H266Decoder, picture: GstCodecs.H266Picture, slice: GstCodecs.H266Slice): {
        // javascript implementation of the 'decode_slice' virtual method
    }

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it.

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

`slice` (GstCodecs.H266Slice) –

a GstCodecs.H266Slice

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

#### do_decode_slice

    def do_decode_slice (decoder, picture, slice):
        #python implementation of the 'decode_slice' virtual method

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it.

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

`slice` (GstCodecs.H266Slice) –

a GstCodecs.H266Slice

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

#### end_picture

    GstFlowReturn
    end_picture (GstH266Decoder * decoder,
                 GstH266Picture * picture)

Optional. Called per one GstH266Picture to notify subclass to finish decoding process for the GstH266Picture

Parameters:

`decoder` –

a GstH266Decoder

`picture` ( [transfer: none]) –

a GstH266Picture

Returns –
No description available

Since : 1.26

#### vfunc_end_picture

    function vfunc_end_picture(decoder: GstCodecs.H266Decoder, picture: GstCodecs.H266Picture): {
        // javascript implementation of the 'end_picture' virtual method
    }

Optional. Called per one GstCodecs.H266Picture to notify subclass to finish decoding process for the GstCodecs.H266Picture

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

#### do_end_picture

    def do_end_picture (decoder, picture):
        #python implementation of the 'end_picture' virtual method

Optional. Called per one GstCodecs.H266Picture to notify subclass to finish decoding process for the GstCodecs.H266Picture

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

#### get_preferred_output_delay

    guint
    get_preferred_output_delay (GstH266Decoder * decoder,
                                gboolean live)

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` –

a GstH266Decoder

`live` –

whether upstream is live or not

Returns –

the number of perferred delayed output frame

Since : 1.26

#### vfunc_get_preferred_output_delay

    function vfunc_get_preferred_output_delay(decoder: GstCodecs.H266Decoder, live: Number): {
        // javascript implementation of the 'get_preferred_output_delay' virtual method
    }

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`live` (Number) –

whether upstream is live or not

Returns (Number) –

the number of perferred delayed output frame

Since : 1.26

#### do_get_preferred_output_delay

    def do_get_preferred_output_delay (decoder, live):
        #python implementation of the 'get_preferred_output_delay' virtual method

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`live` (bool) –

whether upstream is live or not

Returns (int) –

the number of perferred delayed output frame

Since : 1.26

#### new_picture

    GstFlowReturn
    new_picture (GstH266Decoder * decoder,
                 GstVideoCodecFrame * frame,
                 GstH266Picture * picture)

Optional. Called whenever new GstH266Picture is created. Subclass can set implementation specific user data on the GstH266Picture via gst_h266_picture_set_user_data

Parameters:

`decoder` –

a GstH266Decoder

`frame` ( [transfer: none]) –

a GstVideoCodecFrame

`picture` ( [transfer: none]) –

a GstH266Picture

Returns –
No description available

Since : 1.26

#### vfunc_new_picture

    function vfunc_new_picture(decoder: GstCodecs.H266Decoder, frame: GstVideo.VideoCodecFrame, picture: GstCodecs.H266Picture): {
        // javascript implementation of the 'new_picture' virtual method
    }

Optional. Called whenever new GstCodecs.H266Picture is created. Subclass can set implementation specific user data on the GstCodecs.H266Picture via gst_h266_picture_set_user_data

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

#### do_new_picture

    def do_new_picture (decoder, frame, picture):
        #python implementation of the 'new_picture' virtual method

Optional. Called whenever new GstCodecs.H266Picture is created. Subclass can set implementation specific user data on the GstCodecs.H266Picture via gst_h266_picture_set_user_data

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

#### new_sequence

    GstFlowReturn
    new_sequence (GstH266Decoder * decoder,
                  const GstH266SPS * sps,
                  gint max_dpb_size)

Notifies subclass of video sequence update

Parameters:

`decoder` –

a GstH266Decoder

`sps` –

a GstH266SPS

`max_dpb_size` –

the size of dpb including preferred output delay by subclass reported via get_preferred_output_delay method.

Returns –
No description available

Since : 1.26

#### output_picture

    GstFlowReturn
    output_picture (GstH266Decoder * decoder,
                    GstVideoCodecFrame * frame,
                    GstH266Picture * picture)

Parameters:

`decoder` –
No description available
`frame` –
No description available
`picture` –
No description available
Returns –
No description available

#### vfunc_output_picture

    function vfunc_output_picture(decoder: GstCodecs.H266Decoder, frame: GstVideo.VideoCodecFrame, picture: GstCodecs.H266Picture): {
        // javascript implementation of the 'output_picture' virtual method
    }

Parameters:

`decoder` (GstCodecs.H266Decoder) –
No description available
`frame` (GstVideo.VideoCodecFrame) –
No description available
`picture` (GstCodecs.H266Picture) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### do_output_picture

    def do_output_picture (decoder, frame, picture):
        #python implementation of the 'output_picture' virtual method

Parameters:

`decoder` (GstCodecs.H266Decoder) –
No description available
`frame` (GstVideo.VideoCodecFrame) –
No description available
`picture` (GstCodecs.H266Picture) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### start_picture

    GstFlowReturn
    start_picture (GstH266Decoder * decoder,
                   GstH266Picture * picture,
                   GstH266Slice * slice,
                   GstH266Dpb * dpb)

Optional. Called per one GstH266Picture to notify subclass to prepare decoding process for the GstH266Picture

Parameters:

`decoder` –

a GstH266Decoder

`picture` ( [transfer: none]) –

a GstH266Picture

`slice` ( [transfer: none]) –

a GstH266Slice

`dpb` ( [transfer: none]) –

a GstH266Dpb

Returns –
No description available

Since : 1.26

#### vfunc_start_picture

    function vfunc_start_picture(decoder: GstCodecs.H266Decoder, picture: GstCodecs.H266Picture, slice: GstCodecs.H266Slice, dpb: GstCodecs.H266Dpb): {
        // javascript implementation of the 'start_picture' virtual method
    }

Optional. Called per one GstCodecs.H266Picture to notify subclass to prepare decoding process for the GstCodecs.H266Picture

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

`slice` (GstCodecs.H266Slice) –

a GstCodecs.H266Slice

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

#### do_start_picture

    def do_start_picture (decoder, picture, slice, dpb):
        #python implementation of the 'start_picture' virtual method

Optional. Called per one GstCodecs.H266Picture to notify subclass to prepare decoding process for the GstCodecs.H266Picture

Parameters:

`decoder` (GstCodecs.H266Decoder) –

a GstCodecs.H266Decoder

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

`slice` (GstCodecs.H266Slice) –

a GstCodecs.H266Slice

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (Gst.FlowReturn) –
No description available

Since : 1.26

## GstH266Dpb

The GstH266Dpb represents the dpb for decoding.

Since : 1.26

## GstCodecs.H266Dpb

The GstCodecs.H266Dpb represents the dpb for decoding.

Since : 1.26

## GstCodecs.H266Dpb

The GstCodecs.H266Dpb represents the dpb for decoding.

Since : 1.26

### Methods

#### gst_h266_dpb_add

    gst_h266_dpb_add (GstH266Dpb * dpb,
                      GstH266Picture * picture)

Store the picture and perform increase pic_latency_cnt as defined in "C.5.2.3 Additional bumping" process

Parameters:

`dpb` –

a GstH266Dpb

`picture` ( [transfer: full]) –

a GstH266Picture

Since : 1.26

#### GstCodecs.H266Dpb.prototype.add

    function GstCodecs.H266Dpb.prototype.add(picture: GstCodecs.H266Picture): {
        // javascript wrapper for 'gst_h266_dpb_add'
    }

Store the picture and perform increase pic_latency_cnt as defined in "C.5.2.3 Additional bumping" process

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Since : 1.26

#### GstCodecs.H266Dpb.add

    def GstCodecs.H266Dpb.add (self, picture):
        #python wrapper for 'gst_h266_dpb_add'

Store the picture and perform increase pic_latency_cnt as defined in "C.5.2.3 Additional bumping" process

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`picture` (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Since : 1.26

#### gst_h266_dpb_bump

    GstH266Picture *
    gst_h266_dpb_bump (GstH266Dpb * dpb,
                       gboolean drain)

Perform bumping process as defined in C.5.2.4 "Bumping" process. If drain is TRUE, dpb will remove a GstH266Picture from internal array so that returned GstH266Picture could hold the last reference of it.

Parameters:

`dpb` –

a GstH266Dpb

`drain` –

whether draining or not

Returns ( [nullable][transfer: full]) –

a GstH266Picture which is needed to be outputted

Since : 1.26

#### GstCodecs.H266Dpb.prototype.bump

    function GstCodecs.H266Dpb.prototype.bump(drain: Number): {
        // javascript wrapper for 'gst_h266_dpb_bump'
    }

Perform bumping process as defined in C.5.2.4 "Bumping" process. If drain is true, dpb will remove a GstCodecs.H266Picture from internal array so that returned GstCodecs.H266Picture could hold the last reference of it.

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`drain` (Number) –

whether draining or not

Returns (GstCodecs.H266Picture) –

a GstCodecs.H266Picture which is needed to be outputted

Since : 1.26

#### GstCodecs.H266Dpb.bump

    def GstCodecs.H266Dpb.bump (self, drain):
        #python wrapper for 'gst_h266_dpb_bump'

Perform bumping process as defined in C.5.2.4 "Bumping" process. If drain is True, dpb will remove a GstCodecs.H266Picture from internal array so that returned GstCodecs.H266Picture could hold the last reference of it.

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`drain` (bool) –

whether draining or not

Returns (GstCodecs.H266Picture) –

a GstCodecs.H266Picture which is needed to be outputted

Since : 1.26

#### gst_h266_dpb_clear

    gst_h266_dpb_clear (GstH266Dpb * dpb)

Clear all stored GstH266Picture

Parameters:

`dpb` –

a GstH266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.prototype.clear

    function GstCodecs.H266Dpb.prototype.clear(): {
        // javascript wrapper for 'gst_h266_dpb_clear'
    }

Clear all stored GstCodecs.H266Picture

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.clear

    def GstCodecs.H266Dpb.clear (self):
        #python wrapper for 'gst_h266_dpb_clear'

Clear all stored GstCodecs.H266Picture

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### gst_h266_dpb_delete_unused

    gst_h266_dpb_delete_unused (GstH266Dpb * dpb)

Delete unneeded pictures from dpb as defined in "C.5.2.2 Output and removal of pictures from the DPB".

Parameters:

`dpb` –

a GstH266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.prototype.delete_unused

    function GstCodecs.H266Dpb.prototype.delete_unused(): {
        // javascript wrapper for 'gst_h266_dpb_delete_unused'
    }

Delete unneeded pictures from dpb as defined in "C.5.2.2 Output and removal of pictures from the DPB".

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.delete_unused

    def GstCodecs.H266Dpb.delete_unused (self):
        #python wrapper for 'gst_h266_dpb_delete_unused'

Delete unneeded pictures from dpb as defined in "C.5.2.2 Output and removal of pictures from the DPB".

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### gst_h266_dpb_free

    gst_h266_dpb_free (GstH266Dpb * dpb)

Free the dpb

Parameters:

`dpb` –

a GstH266Dpb to free

Since : 1.26

#### GstCodecs.H266Dpb.prototype.free

    function GstCodecs.H266Dpb.prototype.free(): {
        // javascript wrapper for 'gst_h266_dpb_free'
    }

Free the dpb

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb to free

Since : 1.26

#### GstCodecs.H266Dpb.free

    def GstCodecs.H266Dpb.free (self):
        #python wrapper for 'gst_h266_dpb_free'

Free the dpb

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb to free

Since : 1.26

#### gst_h266_dpb_get_max_num_pics

    gint
    gst_h266_dpb_get_max_num_pics (GstH266Dpb * dpb)

Parameters:

`dpb` –

a GstH266Dpb

Returns –

the number of maximum pictures

Since : 1.26

#### GstCodecs.H266Dpb.prototype.get_max_num_pics

    function GstCodecs.H266Dpb.prototype.get_max_num_pics(): {
        // javascript wrapper for 'gst_h266_dpb_get_max_num_pics'
    }

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (Number) –

the number of maximum pictures

Since : 1.26

#### GstCodecs.H266Dpb.get_max_num_pics

    def GstCodecs.H266Dpb.get_max_num_pics (self):
        #python wrapper for 'gst_h266_dpb_get_max_num_pics'

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (int) –

the number of maximum pictures

Since : 1.26

#### gst_h266_dpb_get_picture_by_poc

    GstH266Picture *
    gst_h266_dpb_get_picture_by_poc (GstH266Dpb * dpb,
                                     gint poc)

Find a picture which has matching poc

Parameters:

`dpb` –

a GstH266Dpb

`poc` –

a picture order count

Returns ( [nullable][transfer: full]) –

a GstH266Picture

Since : 1.26

#### GstCodecs.H266Dpb.prototype.get_picture_by_poc

    function GstCodecs.H266Dpb.prototype.get_picture_by_poc(poc: Number): {
        // javascript wrapper for 'gst_h266_dpb_get_picture_by_poc'
    }

Find a picture which has matching poc

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`poc` (Number) –

a picture order count

Returns (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Since : 1.26

#### GstCodecs.H266Dpb.get_picture_by_poc

    def GstCodecs.H266Dpb.get_picture_by_poc (self, poc):
        #python wrapper for 'gst_h266_dpb_get_picture_by_poc'

Find a picture which has matching poc

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`poc` (int) –

a picture order count

Returns (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Since : 1.26

#### gst_h266_dpb_get_picture_by_poc_lsb

    GstH266Picture *
    gst_h266_dpb_get_picture_by_poc_lsb (GstH266Dpb * dpb,
                                         gint poc_lsb)

Find a picture which has matching poc_lsb

Parameters:

`dpb` –

a GstH266Dpb

`poc_lsb` –

a picture order count lsb

Returns ( [nullable][transfer: full]) –

a GstH266Picture

Since : 1.26

#### GstCodecs.H266Dpb.prototype.get_picture_by_poc_lsb

    function GstCodecs.H266Dpb.prototype.get_picture_by_poc_lsb(poc_lsb: Number): {
        // javascript wrapper for 'gst_h266_dpb_get_picture_by_poc_lsb'
    }

Find a picture which has matching poc_lsb

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`poc_lsb` (Number) –

a picture order count lsb

Returns (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Since : 1.26

#### GstCodecs.H266Dpb.get_picture_by_poc_lsb

    def GstCodecs.H266Dpb.get_picture_by_poc_lsb (self, poc_lsb):
        #python wrapper for 'gst_h266_dpb_get_picture_by_poc_lsb'

Find a picture which has matching poc_lsb

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`poc_lsb` (int) –

a picture order count lsb

Returns (GstCodecs.H266Picture) –

a GstCodecs.H266Picture

Since : 1.26

#### gst_h266_dpb_get_pictures_all

    GArray *
    gst_h266_dpb_get_pictures_all (GstH266Dpb * dpb)

Return: (element-type GstH266Picture) (transfer full): a GArray of GstH266Picture stored in dpb

Parameters:

`dpb` –

a GstH266Dpb

Returns –
No description available

Since : 1.26

#### GstCodecs.H266Dpb.prototype.get_pictures_all

    function GstCodecs.H266Dpb.prototype.get_pictures_all(): {
        // javascript wrapper for 'gst_h266_dpb_get_pictures_all'
    }

Return: (element-type GstH266Picture) (transfer full): a GArray (not introspectable) of GstCodecs.H266Picture stored in dpb

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns ([ GstCodecs.H266Picture ]) –
No description available

Since : 1.26

#### GstCodecs.H266Dpb.get_pictures_all

    def GstCodecs.H266Dpb.get_pictures_all (self):
        #python wrapper for 'gst_h266_dpb_get_pictures_all'

Return: (element-type GstH266Picture) (transfer full): a GArray (not introspectable) of GstCodecs.H266Picture stored in dpb

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns ([ GstCodecs.H266Picture ]) –
No description available

Since : 1.26

#### gst_h266_dpb_get_size

    gint
    gst_h266_dpb_get_size (GstH266Dpb * dpb)

Return: the length of stored dpb array

Parameters:

`dpb` –

a GstH266Dpb

Returns –
No description available

Since : 1.26

#### GstCodecs.H266Dpb.prototype.get_size

    function GstCodecs.H266Dpb.prototype.get_size(): {
        // javascript wrapper for 'gst_h266_dpb_get_size'
    }

Return: the length of stored dpb array

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (Number) –
No description available

Since : 1.26

#### GstCodecs.H266Dpb.get_size

    def GstCodecs.H266Dpb.get_size (self):
        #python wrapper for 'gst_h266_dpb_get_size'

Return: the length of stored dpb array

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (int) –
No description available

Since : 1.26

#### gst_h266_dpb_mark_all_non_output

    gst_h266_dpb_mark_all_non_output (GstH266Dpb * dpb)

Mark all pictures are no needed for output

Parameters:

`dpb` –

a GstH266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.prototype.mark_all_non_output

    function GstCodecs.H266Dpb.prototype.mark_all_non_output(): {
        // javascript wrapper for 'gst_h266_dpb_mark_all_non_output'
    }

Mark all pictures are no needed for output

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.mark_all_non_output

    def GstCodecs.H266Dpb.mark_all_non_output (self):
        #python wrapper for 'gst_h266_dpb_mark_all_non_output'

Mark all pictures are no needed for output

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### gst_h266_dpb_mark_all_non_ref

    gst_h266_dpb_mark_all_non_ref (GstH266Dpb * dpb)

Mark all pictures are not referenced

Parameters:

`dpb` –

a GstH266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.prototype.mark_all_non_ref

    function GstCodecs.H266Dpb.prototype.mark_all_non_ref(): {
        // javascript wrapper for 'gst_h266_dpb_mark_all_non_ref'
    }

Mark all pictures are not referenced

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### GstCodecs.H266Dpb.mark_all_non_ref

    def GstCodecs.H266Dpb.mark_all_non_ref (self):
        #python wrapper for 'gst_h266_dpb_mark_all_non_ref'

Mark all pictures are not referenced

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Since : 1.26

#### gst_h266_dpb_needs_bump

    gboolean
    gst_h266_dpb_needs_bump (GstH266Dpb * dpb,
                             guint max_num_reorder_pics,
                             guint max_latency_increase,
                             guint max_dec_pic_buffering)

Parameters:

`dpb` –

a GstH266Dpb

`max_num_reorder_pics` –

dpb_max_num_reorder_pics[HighestTid]

`max_latency_increase` –

MaxLatencyPictures[HighestTid]

`max_dec_pic_buffering` –

dpb_max_dec_pic_buffering_minus1[HighestTid] + 1 or zero if this shouldn't be used for bumping decision.

Returns –

TRUE if bumping is required

Since : 1.26

#### GstCodecs.H266Dpb.prototype.needs_bump

    function GstCodecs.H266Dpb.prototype.needs_bump(max_num_reorder_pics: Number, max_latency_increase: Number, max_dec_pic_buffering: Number): {
        // javascript wrapper for 'gst_h266_dpb_needs_bump'
    }

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`max_num_reorder_pics` (Number) –

dpb_max_num_reorder_pics[HighestTid]

`max_latency_increase` (Number) –

MaxLatencyPictures[HighestTid]

`max_dec_pic_buffering` (Number) –

dpb_max_dec_pic_buffering_minus1[HighestTid] + 1 or zero if this shouldn't be used for bumping decision.

Returns (Number) –

true if bumping is required

Since : 1.26

#### GstCodecs.H266Dpb.needs_bump

    def GstCodecs.H266Dpb.needs_bump (self, max_num_reorder_pics, max_latency_increase, max_dec_pic_buffering):
        #python wrapper for 'gst_h266_dpb_needs_bump'

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`max_num_reorder_pics` (int) –

dpb_max_num_reorder_pics[HighestTid]

`max_latency_increase` (int) –

MaxLatencyPictures[HighestTid]

`max_dec_pic_buffering` (int) –

dpb_max_dec_pic_buffering_minus1[HighestTid] + 1 or zero if this shouldn't be used for bumping decision.

Returns (bool) –

True if bumping is required

Since : 1.26

#### gst_h266_dpb_num_ref_pictures

    gint
    gst_h266_dpb_num_ref_pictures (GstH266Dpb * dpb)

Parameters:

`dpb` –

a GstH266Dpb

Returns –

The number of referenced pictures in dpb.

Since : 1.26

#### GstCodecs.H266Dpb.prototype.num_ref_pictures

    function GstCodecs.H266Dpb.prototype.num_ref_pictures(): {
        // javascript wrapper for 'gst_h266_dpb_num_ref_pictures'
    }

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (Number) –

The number of referenced pictures in dpb.

Since : 1.26

#### GstCodecs.H266Dpb.num_ref_pictures

    def GstCodecs.H266Dpb.num_ref_pictures (self):
        #python wrapper for 'gst_h266_dpb_num_ref_pictures'

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

Returns (int) –

The number of referenced pictures in dpb.

Since : 1.26

#### gst_h266_dpb_set_max_num_pics

    gst_h266_dpb_set_max_num_pics (GstH266Dpb * dpb,
                                   gint max_num_pics)

Set the number of maximum allowed pictures to store

Parameters:

`dpb` –

a GstH266Dpb

`max_num_pics` –

the maximum number of picture

Since : 1.26

#### GstCodecs.H266Dpb.prototype.set_max_num_pics

    function GstCodecs.H266Dpb.prototype.set_max_num_pics(max_num_pics: Number): {
        // javascript wrapper for 'gst_h266_dpb_set_max_num_pics'
    }

Set the number of maximum allowed pictures to store

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`max_num_pics` (Number) –

the maximum number of picture

Since : 1.26

#### GstCodecs.H266Dpb.set_max_num_pics

    def GstCodecs.H266Dpb.set_max_num_pics (self, max_num_pics):
        #python wrapper for 'gst_h266_dpb_set_max_num_pics'

Set the number of maximum allowed pictures to store

Parameters:

`dpb` (GstCodecs.H266Dpb) –

a GstCodecs.H266Dpb

`max_num_pics` (int) –

the maximum number of picture

Since : 1.26

### Functions

#### gst_h266_dpb_new

    GstH266Dpb *
    gst_h266_dpb_new ()

Create new GstH266Dpb

Returns –

a new GstH266Dpb

Since : 1.26

## GstH266Picture

The GstH266Picture represents a picture for decoding.

Since : 1.26

## GstCodecs.H266Picture

The GstCodecs.H266Picture represents a picture for decoding.

Since : 1.26

## GstCodecs.H266Picture

The GstCodecs.H266Picture represents a picture for decoding.

Since : 1.26

### Constructors

#### gst_h266_picture_new

    GstH266Picture *
    gst_h266_picture_new ()

Create new GstH266Picture

Returns –

a new GstH266Picture

Since : 1.26

#### GstCodecs.H266Picture.prototype.new

    function GstCodecs.H266Picture.prototype.new(): {
        // javascript wrapper for 'gst_h266_picture_new'
    }

Create new GstCodecs.H266Picture

Returns (GstCodecs.H266Picture) –

a new GstCodecs.H266Picture

Since : 1.26

#### GstCodecs.H266Picture.new

    def GstCodecs.H266Picture.new ():
        #python wrapper for 'gst_h266_picture_new'

Create new GstCodecs.H266Picture

Returns (GstCodecs.H266Picture) –

a new GstCodecs.H266Picture

Since : 1.26

## GstH266Slice

The GstH266Slice represents a slice for decoding.

### Members

`header` (GstH266SliceHdr) –
No description available
`nalu` (GstH266NalUnit) –
No description available

Since : 1.26

## GstCodecs.H266Slice

The GstCodecs.H266Slice represents a slice for decoding.

### Members

`header (not introspectable)` (object) –
No description available
`nalu (not introspectable)` (object) –
No description available

Since : 1.26

## GstCodecs.H266Slice

The GstCodecs.H266Slice represents a slice for decoding.

### Members

`header (not introspectable)` (object) –
No description available
`nalu (not introspectable)` (object) –
No description available

Since : 1.26

The results of the search are